/*** Script gérant l'affichage du menu d'aide, lié à touchez.js, touches.js et touchespace.js***/

/**Utilité des variables* :
/UIocc : empêche l'écran de se raffraichir si la valeur est différente de 0.  Permet de gérer le menu d'aide en le laissant affiché
toucheh : permet de savoir si on ferme ou ouvre l'aide lorsqu'on appuie sur la touche H
taille : définit la taille des traits qui soulignent la phrase sélectionnée
place : définit l'emplacement en hauteur où le trait de soulignement doit apparaître
nbtrait, nbtrait2, nbtrait3 : permet de savoir quelle option a été choisie
suite : permet de jouer un son si on a changé d'option
touchespa : empêche de monter trop haut ou descendre trop bas dans le menu
**/

player.setStunned(1000000); // Empêche le joueur de bouger tant que l'aide est ouverte
UIocc = 1; // Empêche l'écran de s'actualiser
toucheh++;
if(toucheh%2 == 1) // Dans le cas où on ouvre l'Aide
{
	sound.playSoundUI("sound.pausemenu_open");
}
h = ui.getHeight();
w = ui.getWidth();
s = ui.getStringWidth("What is your problem ?");
UIRect(0,0,1000,1000,0,0,0,0.7);
UILabel("What is your problem ?", (w-s)/2, (h-s)/5);
UILabel("I lost a unique item", (w-ui.getStringWidth("I lost a unique item"))/2, (h-s)/5+30);
UILabel("I found a bug/glitch, where can I report it ?", (w-ui.getStringWidth("I found a bug/glitch, where can I report it ?"))/2, (h-s)/5+60);
UILabel("I'm stuck in the game, where can I ask for help ?", (w-ui.getStringWidth("I'm stuck in the game, where can I ask for help ?"))/2, (h-s)/5+90);
UILabel("I have a suggestion, where can I post it ?", (w-ui.getStringWidth("I have a suggestion, where can I post it ?"))/2, (h-s)/5+120);
UILabel("I want to change an equipment shortcut", (w-ui.getStringWidth("I want to change an equipment shortcut"))/2, (h-s)/5+150);
if(nbtrait == 1)
{
	UIRect((w-taille)/2-1,(h-s)/5+place,taille,1,1,1,1,1); // Affiche le soulignement sur le premier choix par défaut
}
UILabel("Press 'H' to close", (w-ui.getStringWidth("Press 'H' to close"))/2, (h-s)/5+180);
if(toucheh%2 == 0) // Dans le cas où on ferme l'Aide
{
	taille = 105; place = 40; nbtrait = 1; nbtrait2 = 1; touchespa = 0; // Remet les valeurs par défaut aux variables
	screen.clear();
	UIocc = 0; // Libère l'écran
	if(player.getStunned() > 0)
	{
		player.setStunned(0);
	}
	sound.playSoundUI("sound.mainmenu_cancel");
}


